# Default values for sampleapp.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
apiVersion: apps/v1beta1
extensionApiVersion: extensions/v1beta1
fullnameOverride: sampleapp
replicaCount: 2
image:
  repository: VALUE_TO_BE_OVERRIDDEN
  tag: latest

imagePullSecrets: []
  # Optionally specify an array of imagePullSecrets.
  # Secrets must be manually created in the namespace.
  # ref: https://kubernetes.io/docs/concepts/containers/images/#specifying-imagepullsecrets-on-a-pod
  #
  # This uses credentials from secret "myRegistryKeySecretName".
  # - name: myRegistryKeySecretName
service:
  port: 8080

ingress:
  enabled: false
  annotations:
    kubernetes.io/ingress.class: addon-http-application-routing
  path: /
  hostname: VALUE_TO_BE_OVERRIDDEN

secrets:
  mysecret:
    connectionString: VALUE_TO_BE_OVERRIDDEN
  # Optionally specify a set of secret objects whose values
  # will be injected as environment variables by default.
  # You should add this section to a file like secrets.yaml
  # that is explicitly NOT committed to source code control
  # and then include it as part of your helm install step.
  # ref: https://kubernetes.io/docs/concepts/configuration/secret/
  #
  # This creates a secret "mysecret" and injects "mypassword"
  # as the environment variable MYSECRET_MYPASSWORD=123.
  # mysecret:
  #   mypassword: 123
resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #  cpu: 100m
  #  memory: 128Mi
  # requests:
  #  cpu: 100m
  #  memory: 128Mi
nodeSelector: {}

tolerations: []

affinity: {}

redis:
  replicaCount: 2
  service:
    name: redis-cache
    port: 6379
  basedomain: foo.redis-cache.com

applicationInsights:
  InstrumentationKey: VALUE_TO_BE_OVERRIDDEN